ServerEvents.recipes(event => {
    event.shaped(
  Item.of('hostilenetworks:deep_learner', 1),
  [
    'ABA',
    'BCB', 
    'ADA'
  ],
  {
    A: 'minecraft:obsidian',
    B: 'minecraft:repeater',
    C: 'kubejs:casing_basic',
    D: 'minecraft:redstone',
  }
)
event.shaped(
  Item.of('hostilenetworks:loot_fabricator', 1),
  [
    'ABA',
    'BCB', 
    'ADA'
  ],
  {
    A: 'minecraft:obsidian',
    B: 'minecraft:netherite_ingot',
    C: 'kubejs:casing_basic',
    D: 'minecraft:redstone',
  }
)
event.shaped(
  Item.of('hostilenetworks:sim_chamber', 1),
  [
    'ABA',
    'BCB', 
    'ADA'
  ],
  {
    A: 'minecraft:obsidian',
    B: 'minecraft:ender_pearl',
    C: 'kubejs:casing_basic',
    D: 'minecraft:redstone',
  }
)
})